Loading...
Searching...
No Matches
Module Activation Management
Globus Common API

Module Activation Management. More...

## Data Structures

struct | globus_module_descriptor_s
| Module Descriptor. More...

## Functions

int | globus_module_activate (globus_module_descriptor_t *module_descriptor)
| Activate a module.
int | globus_module_activate_array (globus_module_descriptor_t *module_array[], globus_module_descriptor_t **failed_module)
| Activate a group of modules.
int | globus_module_deactivate (globus_module_descriptor_t *module_descriptor)
| Deactivate a module.

## Detailed Description

Module Activation Management.

## Function Documentation

## globus_module_activate()

int globus_module_activate | ( | globus_module_descriptor_t * | module_descriptor | ) |

Activate a module.

Add a reference to the module named by module_descriptor to the list of activated modules. If this is the first reference to this module, its activation function will be called.

Parameters

  module_descriptor | Module to activate

## globus_module_activate_array()

int globus_module_activate_array | ( | globus_module_descriptor_t * | module_array[],
|  | globus_module_descriptor_t ** | failed_module )

Activate a group of modules.

Activate an NULL-terminated array of modules. If any fail to activate, all are deactivated and the error from the failed activation is returned. If nonzero is returned, and failed_module is non-NULL, it will be set to point to the 1st module which failed to activate.

Parameters

  module_array | NULL-terminated array of module descriptors to activate.
  failed_module | Pointer to set to the first module whose activation function failed.